diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
index ab4838ea5..ba13f498a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
@@ -19,6 +19,7 @@ define('pgadmin.node.fts_configuration', [
 
   // Model for tokens control
   var TokenModel = pgAdmin.Browser.Node.Model.extend({
+    idAttribute: 'token',
     defaults: {
       token: undefined,
       dictname: undefined,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
index 91f1d23fa..08666e80c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
@@ -19,8 +19,9 @@ define('pgadmin.node.fts_dictionary', [
 
   // Extend the browser's node model class to create a option/value pair
   var OptionLabelModel = pgAdmin.Browser.Node.Model.extend({
+    idAttribute: 'option',
     defaults: {
-      options: undefined,
+      option: undefined,
       value: undefined,
     },
     // Define the schema for the Options
